/****************************************************************************
*
* LARAMISC.H
*
* PROGRAMMER : Chris
*    VERSION : 00.00
*    CREATED : 03/06/98
*   MODIFIED : 03/06/98
*       TABS : 5
*
* DESCRIPTION
*	Header file for LARAMISC.C
*
*****************************************************************************/

#ifndef _LARAMISC_H
#define _LARAMISC_H

#ifdef __cplusplus
extern "C" {
#endif

/*---------------------------------------------------------------------------
 *	Import Headers
\*--------------------------------------------------------------------------*/

#ifdef PSX_VERSION
#include "../spec_psx/typedefs.h"
#else
#include "..\specific\stypes.h"
#endif

#include "items.h"
#include "collide.h"

/*---------------------------------------------------------------------------
 *	Constants
\*--------------------------------------------------------------------------*/

//#define LARA_NO_FLY_CHEAT
#define ALWAYS_ENABLE_DOZY_CHEAT

/*---------------------------------------------------------------------------
 *	Prototypes
\*--------------------------------------------------------------------------*/

extern void (*lara_control_routines[])();
extern void (*extra_control_routines[])();
extern void (*lara_collision_routines[])();

extern void LaraControl(sint16 item_num);
extern void InitialiseLara(int type);
extern void InitialiseLaraLoad(sint16 item_num);
extern void InitialiseLaraInventory(int level_number);
extern void UseItem(sint16 object_num);
extern void ControlLaraExtra(sint16 item_num);
extern void LaraDinoDeath(ITEM_INFO *item);
extern void InitialiseEvilLara(sint16 item_num);
extern void ControlEvilLara(sint16 item_num);
extern void DrawEvilLara(ITEM_INFO *item);
extern void AnimateLara(ITEM_INFO *item);
extern void LaraCheatGetStuff();

#ifdef __cplusplus
}
#endif

#endif
